Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class ResourceAdapterMetaDataImpl

    java.lang.Object
      |
      +--com.bea.adapter.cci.ResourceAdapterMetaDataImpl

public class ResourceAdapterMetaDataImpl
extends java.lang.Object
implements javax.resource.cci.ResourceAdapterMetaData, java.io.Serializable

Encapsulates metadata about a resource adapter.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ResourceAdapterMetaDataImpl(java.lang.String strName, java.lang.String strDescription, java.lang.String strVersion, java.lang.String strVendorName, java.lang.String[] astrInteractionSpecsSupported, boolean bSupportsLocalTxDemarcation, boolean bSupportsExecuteWithInputAndOutputRecord, boolean bSupportsExecuteWithInputRecordOnly)` Constructs an instance.

Method Summary
`java.lang.String` | `getAdapterName()`
`java.lang.String` | `getAdapterShortDescription()`
`java.lang.String` | `getAdapterVendorName()`
`java.lang.String` | `getAdapterVersion()`
`java.lang.String[]` | `getInteractionSpecsSupported()`
`java.lang.String` | `getSpecVersion()`
`boolean` | `supportsExecuteWithInputAndOutputRecord()`
`boolean` | `supportsExecuteWithInputRecordOnly()`
`boolean` | `supportsLocalTransactionDemarcation()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceAdapterMetaDataImpl

    public ResourceAdapterMetaDataImpl(java.lang.String strName,
                                       java.lang.String strDescription,
                                       java.lang.String strVersion,
                                       java.lang.String strVendorName,
                                       java.lang.String[] astrInteractionSpecsSupported,
                                       boolean bSupportsLocalTxDemarcation,
                                       boolean bSupportsExecuteWithInputAndOutputRecord,
                                       boolean bSupportsExecuteWithInputRecordOnly)

  Constructs an instance.

Method Detail

### getAdapterName

    public java.lang.String getAdapterName()

  Specified by:
    getAdapterName in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    the resource adapter's name

### getAdapterShortDescription

    public java.lang.String getAdapterShortDescription()

  Specified by:
    getAdapterShortDescription in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    the resource adapter's short description

### getAdapterVendorName

    public java.lang.String getAdapterVendorName()

  Specified by:
    getAdapterVendorName in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    the resource adapter's vendor name

### getAdapterVersion

    public java.lang.String getAdapterVersion()

  Specified by:
    getAdapterVersion in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    the resource adapter's version

### getInteractionSpecsSupported

    public java.lang.String[] getInteractionSpecsSupported()

  Specified by:
    getInteractionSpecsSupported in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    an array of fully-qualified class names of InteractionSpec classes supported by this resource adapter's CCI implementation

### getSpecVersion

    public java.lang.String getSpecVersion()

  Specified by:
    getSpecVersion in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    the resource adapter's J2EE Connector Architecture specification version, 1.0

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Specified by:
    supportsLocalTransactionDemarcation in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    true if the resource adapter supports local transaction demarcation

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Specified by:
    supportsExecuteWithInputAndOutputRecord in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    true if the implementation class for the Interaction interface implements public boolean execute(InteractionSpec ispec, Record input, Record output) method; otherwise the method returns false.

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Specified by:
    supportsExecuteWithInputRecordOnly in interface javax.resource.cci.ResourceAdapterMetaData

  Returns:
    true if the implementation class for the Interaction interface implements public Record execute(InteractionSpec ispec, Record input) method; otherwise the method returns false.

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)